# std::independent_bits_engine<Engine,W,UIntType>::operator()

From cppreference.com
< cpp‎ | numeric‎ | random‎ | independent bits engine

result_type operator()(); |  | (since C++11)

Generates a random value. The state of the underlying engine is advanced one or more times.

### Parameters

(none)

### Return value

A pseudo-random number in [min(), max()].

### Exceptions

(none)

### See also

discard | advances the adaptor's state by a specified amount (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/independent_bits_engine/operator()&oldid=103838"